# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Read_unit			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Read_queue
include				$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/Makefile.deps
endif
ifndef Reservation_station
include				$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Read_unit_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit

#-----[ Library ]------------------------------------------
Read_unit_LIBRARY		= 	-lRead_unit			\
					$(Behavioural_LIBRARY)		\
					$(Read_queue_LIBRARY)		\
					$(Reservation_station_LIBRARY)

Read_unit_DIR_LIBRARY		=	-L$(Read_unit_DIR)/lib		\
					$(Behavioural_DIR_LIBRARY)	\
					$(Read_queue_DIR_LIBRARY)	\
					$(Reservation_station_DIR_LIBRARY)

Read_unit_DEPENDENCIES		=	Behavioural_library		\
					Read_queue_library		\
					Reservation_station_library

Read_unit_CLEAN	        	=	Behavioural_library_clean	\
					Read_queue_library_clean	\
					Reservation_station_library_clean

#-----[ Rules ]--------------------------------------------

.NOTPARALLEL			: Read_unit_library
.NOTPARALLEL			: Read_unit_library_clean

Read_unit_library		: $(Read_unit_DEPENDENCIES)
				@\
				$(MAKE) --directory=$(Read_unit_DIR) --makefile=Makefile;

Read_unit_library_clean		: $(Read_unit_CLEAN)
				@\
				$(MAKE) --directory=$(Read_unit_DIR) --makefile=Makefile clean;
